# Get activity by name

Gets activity by name.

Endpoint: GET /v4/orchestration/config/activity/{name}
Version: 4.0.0
Security: Bearer

## Path parameters:

  - `name` (string, required)
    Name of the activity to fetch.

## Response 200 fields (application/json):

  - `uuid` (string)
    Unique Identifier of the activity.
    Example: "5492648d-2132-4e70-9ded-2fc86f22b321"

  - `name` (string)
    Activity name.
    Example: "get_quote_v1"

  - `context_name` (string)
    Context name used for accessing request/response of activities.
    Example: "get_quote"

  - `bean_name` (string)
    Bean name used for activity execution.
    Example: "getQuoteV1"

  - `end_activity` (boolean)
    Flag to denote whether the activity is an end acitvity.

  - `activity_description` (string)
    Description of the activity.

  - `retry_interval` (integer)
    Retry interval time of the activity in minutes.

  - `created_at` (string)
    Date and time at which the activity was created, as an ISO-8601 timestamp in UTC.
    Example: "2018-04-06T20:33:35Z"


